<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

// Sysfolder-Mode?
$confArr = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['sk_calendar']);
t3lib_extMgm::allowTableOnStandardPages("tx_skcalendar_category");

if (!$confArr['centralStoragePid'] && !$confArr['easymode']) { // special sysfolder for cats, etc.
	// allow calendardata on normal pages, events are always allowed
	t3lib_extMgm::allowTableOnStandardPages("tx_skcalendar_organizer");
	t3lib_extMgm::allowTableOnStandardPages("tx_skcalendar_location");
	t3lib_extMgm::allowTableOnStandardPages("tx_skcalendar_targetgroup");
}

t3lib_extMgm::allowTableOnStandardPages("tx_skcalendar_event");

$TCA["tx_skcalendar_event"] = Array (
	"ctrl" => Array (
		'title' => 'LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event',		
		'label' => 'title',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
	//	'versioningWS' => TRUE, 
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',	
		'transOrigPointerField' => 'l18n_parent',	
		'transOrigDiffSourceField' => 'l18n_diffsource',	
		"default_sortby" => "ORDER BY title",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",	
			"fe_group" => "fe_group",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_skcalendar_event.gif",
		// Manage the icons for different kinds of recurring events
		"typeicon_column" => "recurring",
		"typeicons" => Array(
			"1" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_skcalendar_event_d.gif",
			"2" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_skcalendar_event_w.gif",
			"3" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_skcalendar_event_m.gif",
			"4" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_skcalendar_event_y.gif",
			"5" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_skcalendar_event_m2.gif",
			"6" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_skcalendar_event_w2.gif",
			),
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "sys_language_uid, l18n_parent, l18n_diffsource, hidden, fe_group, title, startdate, start_time, wholeday, enddate, end_time, link, description, recurring, recurr_until, cost, targetgroup, category, organizer, location, image",
	)
);
$TCA["tx_skcalendar_category"] = Array (
	"ctrl" => Array (
		'title' => 'LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_category',		
		'label' => 'title',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'languageField' => 'sys_language_uid',	
		'transOrigPointerField' => 'l18n_parent',	
		'transOrigDiffSourceField' => 'l18n_diffsource',	
		"default_sortby" => "ORDER BY title",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
//			"disabled" => "hidden",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_skcalendar_category.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "sys_language_uid, l18n_parent, l18n_diffsource, hidden, title, icon, color",
	)
);

if (!$confArr['easymode']) {
$TCA["tx_skcalendar_organizer"] = Array (
	"ctrl" => Array (
		'title' => 'LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_organizer',		
		'label' => 'name',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'languageField' => 'sys_language_uid',	
		'transOrigPointerField' => 'l18n_parent',	
		'transOrigDiffSourceField' => 'l18n_diffsource',	
		"default_sortby" => "ORDER BY name",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
	//		"disabled" => "hidden",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_skcalendar_organizer.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "sys_language_uid, l18n_parent, l18n_diffsource, hidden, name, link, logo, phone, email",
	)
);


$TCA["tx_skcalendar_location"] = Array (
	"ctrl" => Array (
		'title' => 'LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_location',		
		'label' => 'title',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'languageField' => 'sys_language_uid',	
		'transOrigPointerField' => 'l18n_parent',	
		'transOrigDiffSourceField' => 'l18n_diffsource',	
		"default_sortby" => "ORDER BY title",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
	//		"disabled" => "hidden",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_skcalendar_location.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "sys_language_uid, l18n_parent, l18n_diffsource, hidden, title, link, street, zip, city",
	)
);



$TCA["tx_skcalendar_targetgroup"] = Array (
	"ctrl" => Array (
		'title' => 'LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_targetgroup',		
		'label' => 'title',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'languageField' => 'sys_language_uid',	
		'transOrigPointerField' => 'l18n_parent',	
		'transOrigDiffSourceField' => 'l18n_diffsource',	
		"default_sortby" => "ORDER BY title",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
	//		"disabled" => "hidden",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_skcalendar_targetgroup.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "sys_language_uid, l18n_parent, l18n_diffsource, hidden, title, icon",
	)
);
}

$TCA["tx_skcalendar_exeption"] = Array (
	"ctrl" => Array (
		'title' => 'LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_exeption',		
		'label' => 'exeption_date',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		"default_sortby" => "ORDER BY exeption_date",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
		//	"disabled" => "hidden",
		),
		"readOnly" => 1,
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_skcalendar_exeption.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, event, exeption_date",
	)
);

t3lib_div::loadTCA('tt_content');
$TCA['tt_content']['types']['list']['subtypes_excludelist'][$_EXTKEY.'_pi1']='layout,select_key,pages,recursive';
$TCA['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY.'_pi1']='pi_flexform';
t3lib_extMgm::addPiFlexFormValue($_EXTKEY.'_pi1', 'FILE:EXT:sk_calendar/flexform_ds.xml');


t3lib_extMgm::addPlugin(Array('LLL:EXT:sk_calendar/locallang_db.xml:tt_content.list_type_pi1', $_EXTKEY.'_pi1'),'list_type');

//adding sysfolder icon
t3lib_div::loadTCA('pages');
$TCA['pages']['columns']['module']['config']['items']['skcalendar']['0'] = 'LLL:EXT:sk_calendar/locallang.xml:sysfolder'; 
$TCA['pages']['columns']['module']['config']['items']['skcalendar']['1'] = 'skcalendar';


if (TYPO3_MODE=="BE")	{
	$GLOBALS["TBE_MODULES_EXT"]["xMOD_alt_clickmenu"]["extendCMclasses"][]=array(
		"name" => "tx_skcalendar_cm1",
		"path" => t3lib_extMgm::extPath($_EXTKEY)."class.tx_skcalendar_cm1.php"
	);
			// add folder icon
	$ICON_TYPES['skcalendar'] = array('icon' => t3lib_extMgm::extRelPath($_EXTKEY).'icon_tx_skcalendar_folder.gif');

}
?>