<?php
########################################################################
# Userfunction for alt_doc ext: "sk_calendar"
# by Volker Biberger info@sitekick.de 2006
# Calendar will not work recurrent events without this function
# 
# 
# 
########################################################################

class ux_sc_alt_doc extends SC_alt_doc 
{

	function preInit() {
		parent::preInit();
		// write exeption once
		$this->R_URL_getvars['returnUrl'] = preg_replace('/&edit=[0-9]{2}_re[0-9]*/','',$this->R_URL_getvars['returnUrl']);
		$this->retUrl = preg_replace('/&edit=[0-9]{2}_re[0-9]*/','',$this->retUrl);
		if($this->R_URL_getvars['doexeption']) $this->sk_calendar = 'doexeption';
		unset($this->R_URL_getvars['doexeption']);
	}
	
	function makeEditForm() {
		global $BE_USER,$LANG,$TCA;
	// The exeption is written before the edit panel is opened, thus to really cancel the process the entry must be saved with deleting the exeption
	if ($this->sk_calendar == 'doexeption') {
		list($uid) = each ($_GET['edit']['tx_skcalendar_event']);
		$uid = intval($uid);
		$exeption = intval(str_replace('re','',$_GET['doexeption']));


		// get existing exeptions
		$select_fields = '*';
		$from_table = 'tx_skcalendar_event';
		$where_clause = 'NOT hidden AND NOT deleted AND uid=' . $uid;
		$return = $GLOBALS['TYPO3_DB']->exec_SELECTquery($select_fields,$from_table,$where_clause,$groupBy,$orderBy);
		$rec_data= $GLOBALS['TYPO3_DB']->sql_fetch_assoc($return);
		if (!$rec_data['exeptions']) {
			// Insert into DB
 			$values['pid'] = 9999999; // way out of the way
 			$values['exeption_date'] = $exeption;
 			$values['tstamp'] = mktime();
 			$values['crdate'] = mktime();
 			$values['event'] = $uid;
 		
 			$table = 'tx_skcalendar_exeption';
			$GLOBALS['TYPO3_DB']->exec_INSERTquery($table,$values);
			$id = $GLOBALS['TYPO3_DB']->sql_insert_id();
 			$data['exeptions'] = $id;
		
		}
		else {
			// get exeptiondates
			$select_fields = 'exeption_date';
			$from_table = 'tx_skcalendar_exeption';
			$where_clause = 'NOT hidden AND NOT deleted AND uid IN(' . $rec_data['exeptions'] . ')';
			$orderBy = 'uid';
			$return = $GLOBALS['TYPO3_DB']->exec_SELECTquery($select_fields,$from_table,$where_clause,$groupBy,$orderBy);
			$arr = array();
			while ($data_exept= $GLOBALS['TYPO3_DB']->sql_fetch_assoc($return)) {
				$arr[] = $data_exept['exeption_date'];
			}
	
			if (!in_array($exeption,$arr)) {
				// Insert into DB
 				$values['pid'] = 9999999; // way out of the way
 				$values['exeption_date'] = $exeption;
 				$values['tstamp'] = mktime();
 				$values['crdate'] = mktime();
 				$values['event'] = $uid;
 		
 				$table = 'tx_skcalendar_exeption';
				$GLOBALS['TYPO3_DB']->exec_INSERTquery($table,$values);
				$id = $GLOBALS['TYPO3_DB']->sql_insert_id();
 				$data['exeptions'] = $rec_data['exeptions'] . ',' . $id;
			}
			else unset($data['exeptions']);
		}

		if ($data['exeptions']) {
			// Update 
			$values = array();
			$from_table = 'tx_skcalendar_event';
 			$where_clause = 'NOT hidden AND NOT deleted AND uid=' . $uid;
			$values['exeptions'] = $data['exeptions'];
 			$GLOBALS['TYPO3_DB']->exec_UPDATEquery($from_table,$where_clause,$values);	
		}
		
		// Transformation
		unset($rec_data['exeptions']);
		unset($rec_data['recurring']);
		unset($rec_data['recurr_until']);
		unset($rec_data['enddate']);
		$rec_data['startdate'] = $exeption;
		
		// set data as default for new entry
		$this->defVals['tx_skcalendar_event'] = $rec_data;
					
		// prepare new entry
		$this->editconf['tx_skcalendar_event'] = Array($rec_data['pid'] => 'new');

	}
	$editForm = parent::makeEditForm();
	// prevent writing of exeption when just saving
	$editForm = str_replace('doexeption','didexeption',$editForm);

	return $editForm;

	
	}

	
	
	
	
}

if (defined("TYPO3_MODE") && $TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/sk_calendar/class.ux_sc_alt_doc.php"])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/sk_calendar/class.ux_sc_alt_doc.php"]);
}
