<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');
// easy-Mode?
$confArr = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['sk_calendar']);

if ($confArr['centralStoragePid']) { // special sysfolder for cats, etc.
    $dataSource = $confArr['centralStoragePid'];
}
else {
	$dataSource = '###CURRENT_PID###';
}

$fTableWhere['cat'] = 'AND tx_skcalendar_category.pid='. $dataSource . ' ';
$fTableWhere['org'] = 'AND tx_skcalendar_organizer.pid='. $dataSource . ' ';
$fTableWhere['loc'] = 'AND tx_skcalendar_location.pid='. $dataSource . ' ';
$fTableWhere['tar'] = 'AND tx_skcalendar_targetgroup.pid='. $dataSource . ' ';

$TCA["tx_skcalendar_event"] = Array (
	"ctrl" => $TCA["tx_skcalendar_event"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,fe_group,title,startdate,start_time,wholeday,enddate,end_time,link,description,recurring,recurr_until,cost,targetgroup,category,organizer,location"
	),
	"feInterface" => $TCA["tx_skcalendar_event"]["feInterface"],
	"columns" => Array (
		'sys_language_uid' => array (		
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages',-1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value',0)
				)
			)
		),
		'l18n_parent' => Array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('', 0),
				),
				'foreign_table' => 'tx_skcalendar_event',
				'foreign_table_where' => 'AND tx_skcalendar_event.pid=###CURRENT_PID### AND tx_skcalendar_event.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => Array (		
			'config' => Array (
				'type' => 'passthrough'
			)
		),
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"fe_group" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.fe_group",
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("", 0),
					Array("LLL:EXT:lang/locallang_general.xml:LGL.hide_at_login", -1),
					Array("LLL:EXT:lang/locallang_general.xml:LGL.any_login", -2),
					Array("LLL:EXT:lang/locallang_general.xml:LGL.usergroups", "--div--")
				),
				"foreign_table" => "fe_groups"
			)
		),
		"title" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required,trim",
			)
		),
		"startdate" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.startdate",		
			"config" => Array (
				"type" => "input",	
				"size" => "8",	
				"eval" => "required,date",
			)
		),
		"start_time" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.start_time",		
			"config" => Array (
				"type" => "input",	
				"size" => "5",	
				"max" => "5",	
				"eval" => "time",
			)
		),
		"wholeday" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.wholeday",		
			"config" => Array (
				"type" => "check",
			)
		),
		"enddate" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.enddate",		
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0"
			)
		),
		"end_time" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.end_time",		
			"config" => Array (
				"type" => "input",	
				"size" => "5",	
				"max" => "5",	
				"eval" => "time",
			)
		),
		"link" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.link",		
			"config" => Array (
				"type" => "input",
				"size" => "15",
				"max" => "255",
				"checkbox" => "",
				"eval" => "trim",
				"wizards" => Array(
					"_PADDING" => 2,
					"link" => Array(
						"type" => "popup",
						"title" => "Link",
						"icon" => "link_popup.gif",
						"script" => "browse_links.php?mode=wizard",
						"JSopenParams" => "height=300,width=500,status=0,menubar=0,scrollbars=1"
					)
				)
			)
		),
		"description" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.description",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
				"wizards" => Array(
					"_PADDING" => 2,
					"RTE" => Array(
						"notNewRecords" => 1,
						"RTEonly" => 1,
						"type" => "script",
						"title" => "Full screen Rich Text Editing|Formatteret redigering i hele vinduet",
						"icon" => "wizard_rte2.gif",
						"script" => "wizard_rte.php",
					),
				),
			)
		),
		"recurring" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.recurring",		
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.recurring.I.0", "0"),
					Array("LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.recurring.I.1", "1"),
					Array("LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.recurring.I.2", "2"),
					Array("LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.recurring.I.6", "6"),
					Array("LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.recurring.I.3", "3"),
					Array("LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.recurring.I.4", "4"),
					Array("LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.recurring.I.5", "5"),
				),
				"size" => 1,	
				"maxitems" => 1,
			)
		),
		"recurr_until" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.recurr_until",		
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0"
			)
		),
		"cost" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.cost",		
			"config" => Array (
				"type" => "input",	
				"size" => "7",	
				"eval" => "double2",
			)
		),
		"targetgroup" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.targetgroup",		
			"config" => Array (
				"type" => "select",	
				"items" => array (
					Array("LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_events.choose",0),
					),
				"foreign_table" => "tx_skcalendar_targetgroup",	
				"foreign_table_where" => $fTableWhere['tar'] . "ORDER BY tx_skcalendar_targetgroup.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"category" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.category",		
			"config" => Array (
				"type" => "select",	
				"items" => array (
					Array("LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_events.choose",0),
					),
				"foreign_table" => "tx_skcalendar_category",	
				"foreign_table_where" => $fTableWhere['cat'] . "ORDER BY tx_skcalendar_category.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"organizer" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.organizer",		
			"config" => Array (
				"type" => "select",	
				"items" => array (
					Array("LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_events.choose",0),
					),
				"foreign_table" => "tx_skcalendar_organizer",	
				"foreign_table_where" => $fTableWhere['org'] . "ORDER BY tx_skcalendar_organizer.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"location" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.location",		
			"config" => Array (
				"type" => "select",	
				"items" => array (
					Array("LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_events.choose",0),
					),
				"foreign_table" => "tx_skcalendar_location",	
				"foreign_table_where" => $fTableWhere['loc'] . "ORDER BY tx_skcalendar_location.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		
		"exeptions" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.php:tx_skcalendar_events.exeptions",		
			"config" => Array (
				"type" => "group",
				"internal_type" => "db",
				"allowed" => 'tx_skcalendar_exeption',	
				"size" => 5,	
				"minitems" => 0,
				"maxitems" => 999,
			)
		),
		"image" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.image",		
			"config" => Array (
				"type" => "group",
				"internal_type" => "file",
				"allowed" => "gif,png,jpeg,jpg",	
				"max_size" => 500,	
				"uploadfolder" => "uploads/tx_skcalendar",
				"show_thumbs" => 1,	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),

	),
	"types" => Array (
		"0" => Array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, title;;;;2-2-2, startdate;;2;;3-3-3, link, description;;;richtext[paste|bold|italic|underline|formatblock|class|left|center|right|orderedlist|unorderedlist|outdent|indent|link|image]:rte_transform[mode=ts], image, recurring;;3, cost, category;;;;3-3-3, targetgroup, organizer, location")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "fe_group"),
		"2" => Array("showitem" => "start_time, end_time, wholeday, enddate"),
		"3" => Array("showitem" => "recurr_until, exeptions")
	)
);

if ($confArr['easymode']) {
	unset($TCA["tx_skcalendar_event"]['columns']['targetgroup']);
	unset($TCA["tx_skcalendar_event"]['columns']['location']);
	unset($TCA["tx_skcalendar_event"]['columns']['organizer']);
}



if ($confArr['usedam'])  {

	$tc = array(

		'dam_image' => txdam_getMediaTCA('image_field', 'dam_image')

	);

	$tc['dam_image']['config']['maxitems'] = 1;

	$tc['dam_image']['config']['size'] = 1;

	$tc['dam_image']['label'] = "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_event.image";

	t3lib_extMgm::addTCAcolumns("tx_skcalendar_event",$tc,1);





	if ($confArr['usedam'] == 1)  {

		t3lib_extMgm::addToAllTCAtypes('tx_skcalendar_event','dam_image','0','after:image');

	}else{

		$TCA['tx_skcalendar_event']['types']['0']['showitem'] = str_replace('image,', ' dam_image,', $TCA['tx_skcalendar_event']['types']['0']['showitem']);

	}

}




$TCA["tx_skcalendar_category"] = Array (
	"ctrl" => $TCA["tx_skcalendar_category"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,label,icon,color"
	),
	"feInterface" => $TCA["tx_skcalendar_category"]["feInterface"],
	"columns" => Array (
		'sys_language_uid' => array (		
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages',-1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value',0)
				)
			)
		),
		'l18n_parent' => Array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('', 0),
				),
				'foreign_table' => 'tx_skcalendar_category',
				'foreign_table_where' => 'AND tx_skcalendar_category.pid=###CURRENT_PID### AND tx_skcalendar_category.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => Array (		
			'config' => Array (
				'type' => 'passthrough'
			)
		),
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_category.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required,trim",
			)
		),
		"icon" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_category.icon",		
			"config" => Array (
				"type" => "group",
				"internal_type" => "file",
				"allowed" => "gif,png,jpeg,jpg",	
				"max_size" => 500,	
				"uploadfolder" => "uploads/tx_skcalendar",
				"show_thumbs" => 1,	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
// 		"color" => Array (		
// 			"exclude" => 0,		
// 			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_category.color",		
// 			"config" => Array (
// 				"type" => "input",	
// 				"size" => "30",	
// 				"checkbox" => "",	
// 				"wizards" => Array(
// 					"_PADDING" => 2,
// 					"color" => Array(
// 						"title" => "Color:",
// 						"type" => "colorbox",
// 						"dim" => "12x12",
// 						"tableStyle" => "border:solid 1px black;",
// 						"script" => "wizard_colorpicker.php",
// 						"JSopenParams" => "height=300,width=250,status=0,menubar=0,scrollbars=1",
// 					),
// 				),
// 				"eval" => "trim",
// 			)
// 		),
	),
	"types" => Array (
		"0" => Array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, title;;1, icon")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



if ($confArr['usedam'])  {

	$tc = array(

		'dam_icon' => txdam_getMediaTCA('image_field', 'dam_icon')

	);

	$tc['dam_icon']['config']['maxitems'] = 1;

	$tc['dam_icon']['config']['size'] = 1;

	$tc['dam_icon']['label'] = "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_category.icon";

	t3lib_extMgm::addTCAcolumns("tx_skcalendar_category",$tc,1);





	if ($confArr['usedam'] == 1)  {

		t3lib_extMgm::addToAllTCAtypes('tx_skcalendar_category','dam_image','0','after:icon');

	}else{

		$TCA['tx_skcalendar_category']['types']['0']['showitem'] = str_replace('icon', ' dam_icon', $TCA['tx_skcalendar_category']['types']['0']['showitem']);

	}

}





$TCA["tx_skcalendar_organizer"] = Array (
	"ctrl" => $TCA["tx_skcalendar_organizer"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,name,link,image,phone,email"
	),
	"feInterface" => $TCA["tx_skcalendar_organizer"]["feInterface"],
	"columns" => Array (
		'sys_language_uid' => array (		
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages',-1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value',0)
				)
			)
		),
		'l18n_parent' => Array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('', 0),
				),
				'foreign_table' => 'tx_skcalendar_organizer',
				'foreign_table_where' => 'AND tx_skcalendar_organizer.pid=###CURRENT_PID### AND tx_skcalendar_organizer.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => Array (		
			'config' => Array (
				'type' => 'passthrough'
			)
		),
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"name" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_organizer.name",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required,trim",
			)
		),
		"link" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_organizer.link",		
			"config" => Array (
				"type" => "input",
				"size" => "15",
				"max" => "255",
				"checkbox" => "",
				"eval" => "trim",
				"wizards" => Array(
					"_PADDING" => 2,
					"link" => Array(
						"type" => "popup",
						"title" => "Link",
						"icon" => "link_popup.gif",
						"script" => "browse_links.php?mode=wizard",
						"JSopenParams" => "height=300,width=500,status=0,menubar=0,scrollbars=1"
					)
				)
			)
		),
		"logo" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_organizer.logo",		
			"config" => Array (
				"type" => "group",
				"internal_type" => "file",
				"allowed" => "gif,png,jpeg,jpg",	
				"max_size" => 500,	
				"uploadfolder" => "uploads/tx_skcalendar",
				"show_thumbs" => 1,	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"phone" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_organizer.phone",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "trim",
			)
		),
		"email" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_organizer.email",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "trim",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, name;;1, link, logo, phone, email")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



if ($confArr['usedam'])  {

	$tc = array(

		'dam_logo' => txdam_getMediaTCA('image_field', 'dam_logo')

	);

	$tc['dam_logo']['config']['maxitems'] = 1;

	$tc['dam_logo']['config']['size'] = 1;

	$tc['dam_logo']['label'] = "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_organizer.logo";

	t3lib_extMgm::addTCAcolumns("tx_skcalendar_organizer",$tc,1);





	if ($confArr['usedam'] == 1)  {

		t3lib_extMgm::addToAllTCAtypes('tx_skcalendar_organizer','dam_image','0','after:logo');

	}else{

		$TCA['tx_skcalendar_organizer']['types']['0']['showitem'] = str_replace('logo', ' dam_logo', $TCA['tx_skcalendar_organizer']['types']['0']['showitem']);

	}

}





$TCA["tx_skcalendar_location"] = Array (
	"ctrl" => $TCA["tx_skcalendar_location"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,label,link,street,zip,city"
	),
	"feInterface" => $TCA["tx_skcalendar_location"]["feInterface"],
	"columns" => Array (
		'sys_language_uid' => array (		
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages',-1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value',0)
				)
			)
		),
		'l18n_parent' => Array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('', 0),
				),
				'foreign_table' => 'tx_skcalendar_location',
				'foreign_table_where' => 'AND tx_skcalendar_location.pid=###CURRENT_PID### AND tx_skcalendar_location.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => Array (		
			'config' => Array (
				'type' => 'passthrough'
			)
		),
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_location.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required,trim",
			)
		),
		"link" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_location.link",		
			"config" => Array (
				"type" => "input",
				"size" => "15",
				"max" => "255",
				"checkbox" => "",
				"eval" => "trim",
				"wizards" => Array(
					"_PADDING" => 2,
					"link" => Array(
						"type" => "popup",
						"title" => "Link",
						"icon" => "link_popup.gif",
						"script" => "browse_links.php?mode=wizard",
						"JSopenParams" => "height=300,width=500,status=0,menubar=0,scrollbars=1"
					)
				)
			)
		),
		"street" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_location.street",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"zip" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_location.zip",		
			"config" => Array (
				"type" => "input",	
				"size" => "5",	
				"max" => "5",	
				"eval" => "trim",
			)
		),
		"city" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_location.city",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "trim",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, title;;1, link, street, zip, city")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_skcalendar_exeption"] = Array (
	"ctrl" => $TCA["tx_skcalendar_exeption"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,event,exeption_date"
	),
	"feInterface" => $TCA["tx_skcalendar_exeption"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"event" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_exeption.event",		
			"config" => Array (
				"type" => "group",	
				"internal_type" => "db",	
				"allowed" => "tx_skcalendar_event",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"exeption_date" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_exeption.exeption_date",		
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0"
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, event, exeption_date")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_skcalendar_targetgroup"] = Array (
	"ctrl" => $TCA["tx_skcalendar_targetgroup"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,label,icon"
	),
	"feInterface" => $TCA["tx_skcalendar_targetgroup"]["feInterface"],
	"columns" => Array (
		'sys_language_uid' => array (		
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages',-1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value',0)
				)
			)
		),
		'l18n_parent' => Array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('', 0),
				),
				'foreign_table' => 'tx_skcalendar_targetgroup',
				'foreign_table_where' => 'AND tx_skcalendar_targetgroup.pid=###CURRENT_PID### AND tx_skcalendar_targetgroup.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => Array (		
			'config' => Array (
				'type' => 'passthrough'
			)
		),
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_targetgroup.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required,trim",
			)
		),
		"icon" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_targetgroup.icon",		
			"config" => Array (
				"type" => "group",
				"internal_type" => "file",
				"allowed" => "gif,png,jpeg,jpg",	
				"max_size" => 500,	
				"uploadfolder" => "uploads/tx_skcalendar",
				"show_thumbs" => 1,	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, title;;1, icon")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



if ($confArr['usedam'])  {

	$tc = array(

		'dam_icon' => txdam_getMediaTCA('image_field', 'dam_icon')

	);

	$tc['dam_icon']['config']['maxitems'] = 1;

	$tc['dam_icon']['config']['size'] = 1;

	$tc['dam_icon']['label'] = "LLL:EXT:sk_calendar/locallang_db.xml:tx_skcalendar_category.icon";

	t3lib_extMgm::addTCAcolumns("tx_skcalendar_targetgroup",$tc,1);





	if ($confArr['usedam'] == 1)  {

		t3lib_extMgm::addToAllTCAtypes('tx_skcalendar_targetgroup','dam_image','0','after:icon');

	}else{

		$TCA['tx_skcalendar_targetgroup']['types']['0']['showitem'] = str_replace('icon', ' dam_icon', $TCA['tx_skcalendar_targetgroup']['types']['0']['showitem']);

	}

}


?>